# class SimpleNodeIterator

###

Module | soprano
Namespace | Soprano::Util
Class | SimpleNodeIterator
Inherits | Soprano::NodeIterator

\class SimpleNodeIterator simplenodeiterator.h Soprano/Util/SimpleNodeIterator

The most simple version of a NodeIterator simply iterates over a list of Nodes.

The SimpleNodeIterator has been designed as a trivial extension to NodeIterator and can be used as a drop-in-replacement as shown below:

    QList<Node> list;
    SimpleNodeIterator it( list );

    // it and it2 iterate over the exact same data
    NodeIterator it2 = it;

Author Sebastian Trueg <trueg@kde.org>

### methods

- SimpleNodeIterator ( )

  returns ctor

- SimpleNodeIterator (a0)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  a0 | QList<Soprano::Node> |

- SimpleNodeIterator (a0)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  a0 | Soprano.Util.SimpleNodeIterator |